import java.awt.*;
import javax.swing.*;
/**
  *
  * Beschreibung
  *
  * @version 1.0 vom 17.11.2010
  * @author Daniel Garmann
  */

public class Ellipse extends Rundobjekt {

  // Anfang Attribute
  private int radius2;
  // Ende Attribute

  public Ellipse(int radius2, int radius, Color fuellfarbe, Color linienfarbe, Punkt start) {
    super(radius,fuellfarbe,linienfarbe,start);
    this.radius2 = radius2;
  }

  // Anfang Methoden
  public void zeichne(Graphics g) {
    g.setColor(this.getFuellfarbe());
    g.fillOval(this.getStart().getX()-this.getRadius(),this.getStart().getY()-this.getRadius2(),
               2*this.getRadius(),2*this.getRadius2());
    g.setColor(this.getLinienfarbe());
    g.drawOval(this.getStart().getX()-this.getRadius(),this.getStart().getY()-this.getRadius2(),
               2*this.getRadius(),2*this.getRadius2());
  }

  public void markiere(Graphics g) {
    g.setColor(Color.black);
    g.fillRect(this.getStart().getX()-2,this.getStart().getY()-2,5,5);
    g.fillRect(this.getStart().getX()-this.getRadius()-2,this.getStart().getY()-2,5,5);
    g.fillRect(this.getStart().getX()+this.getRadius()-2,this.getStart().getY()-2,5,5);
    g.fillRect(this.getStart().getX()-2,this.getStart().getY()-this.getRadius2()-2,5,5);
    g.fillRect(this.getStart().getX()-2,this.getStart().getY()+this.getRadius2()-2,5,5);
  }


  public int getRadius2() {
    return radius2;
  }

  public void setRadius2(int radius2) {
    this.radius2 = radius2;
  }

  // Ende Methoden
}
