import java.awt.*;
import javax.swing.*;
/**
  *
  * Beschreibung
  *
  * @version 1.0 vom 17.11.2010
  * @author Daniel Garmann
  */

public class Strecke extends Strichobjekt {

  // Anfang Attribute
  private Punkt ende;
  // Ende Attribute

  public Strecke(Punkt ende, Color linienfarbe, Punkt start) {
    super(linienfarbe,start);
    this.ende = ende;
  }

  // Anfang Methoden
  public Punkt getEnde() {
    return ende;
  }

  public void setEnde(Punkt ende) {
    this.ende = ende;
  }

  public void zeichne(Graphics g) {
    g.setColor(this.getLinienfarbe());
    g.drawLine(this.getStart().getX(),this.getStart().getY(),
               this.getEnde().getX(),this.getEnde().getY());
  }

  public void markiere(Graphics g) {
    g.setColor(Color.black);
    g.fillRect(this.getStart().getX()-2,this.getStart().getY()-2,5,5);
    g.fillRect(this.getEnde().getX()-2,this.getEnde().getY()-2,5,5);
  }

  public void verschiebe(int dx, int dy) {
    super.verschiebe(dx, dy);
    ende.setX(ende.getX()+dx);
    ende.setY(ende.getY()+dy);
  }
  // Ende Methoden
}
