import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;
import java.awt.event.MouseEvent;
import java.awt.event.MouseMotionListener;

/**
  *
  * Beschreibung
  *
  * @version 1.0 vom 17.11.2010
  * @author Daniel Garmann
  */

public class GUI extends JFrame {
  // Anfang Attribute
  private final int KREIS = 1;
  private final int ELLIPSE = 2;
  private final int QUADRAT = 3;
  private final int RECHTECK = 4;
  private final int STRECKE = 5;
  private final int NOTYPE = -1;
  
  private int grafiktyp = NOTYPE;
  private int klicks = 0;
  private Punkt[] punkte =new Punkt[10];
  private Grafikliste grafikliste = new Grafikliste();
  
  private JButton jButton1 = new JButton();
  private JButton jButton2 = new JButton();
  private JButton jButton3 = new JButton();
  private JButton jButton4 = new JButton();
  private JButton jButton5 = new JButton();
  private JButton jButtonLinienfarbe = new JButton();
  private JButton jButtonFuellfarbe = new JButton();
  private JLabel jLabel1 = new JLabel();
  private JLabel jLabel2 = new JLabel();
  private JPanel jPanelZeichenflaeche = new JPanel(null);
  private JButton jButton6 = new JButton();
  private JButton jButton7 = new JButton();
  private JButton jButton8 = new JButton();
  private JButton jButton9 = new JButton();
  private JButton jButton10 = new JButton();
  private JButton jButton11 = new JButton();
  private JButton jButton12 = new JButton();
  private JButton jButton13 = new JButton();
  private JLabel jLabel3 = new JLabel();
  private JButton jButton14 = new JButton();
  private JButton jButton15 = new JButton();
  private JButton jButton16 = new JButton();
  private JButton jButton17 = new JButton();
  // Ende Attribute

  public GUI(String title) {
    // Frame-Initialisierung
    super (title);
    setDefaultCloseOperation(WindowConstants.EXIT_ON_CLOSE);
    int frameWidth = 1017;
    int frameHeight = 619;
    setSize(frameWidth, frameHeight);
    Dimension d = Toolkit.getDefaultToolkit().getScreenSize();
    int x = (d.width - getSize().width) / 2;
    int y = (d.height - getSize().height) / 2;
    setLocation(x, y);
    Container cp = getContentPane();
    cp.setLayout(null);

    // Anfang Komponenten

// Zeichenflche - Mouselistener fr Klick-Events
    jPanelZeichenflaeche.setBounds(248, 16, 700, 500);
    jPanelZeichenflaeche.addMouseListener(new MouseAdapter() {
      public void mouseClicked(MouseEvent evt) {
        gui_MouseActionPerformed(evt);
      }
    });
    cp.add(jPanelZeichenflaeche);


    jButton1.setBounds(8, 16, 91, 25);
    jButton1.setText("Kreis");
    jButton1.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jButton1_ActionPerformed(evt);
      }
    });
    cp.add(jButton1);
    jButton2.setBounds(8, 48, 91, 25);
    jButton2.setText("Ellipse");
    jButton2.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jButton2_ActionPerformed(evt);
      }
    });
    cp.add(jButton2);
    jButton3.setBounds(8, 80, 91, 25);
    jButton3.setText("Quadrat");
    jButton3.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jButton3_ActionPerformed(evt);
      }
    });
    cp.add(jButton3);
    jButton4.setBounds(8, 112, 91, 25);
    jButton4.setText("Rechteck");
    jButton4.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jButton4_ActionPerformed(evt);
      }
    });
    cp.add(jButton4);
    jButton5.setBounds(8, 144, 91, 25);
    jButton5.setText("Strecke");
    jButton5.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jButton5_ActionPerformed(evt);
      }
    });
    cp.add(jButton5);
    jButtonLinienfarbe.setBounds(112, 48, 121, 25);
    jButtonLinienfarbe.setText("Linienfarbe");
    jButtonLinienfarbe.setBackground(Color.black);
    jButtonLinienfarbe.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jButtonLinienfarbe_ActionPerformed(evt);
      }
    });
    cp.add(jButtonLinienfarbe);
    jButtonFuellfarbe.setBounds(112, 112, 121, 25);
    jButtonFuellfarbe.setText("Fllfarbe");
    jButtonFuellfarbe.setBackground(Color.red);
    jButtonFuellfarbe.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jButtonFuellfarbe_ActionPerformed(evt);
      }
    });
    cp.add(jButtonFuellfarbe);
    jLabel1.setBounds(112, 24, 117, 16);
    jLabel1.setText("Linienfarbe:");
    jLabel1.setFont(new Font("MS Sans Serif", Font.PLAIN, 13));
    cp.add(jLabel1);
    jLabel2.setBounds(112, 88, 119, 16);
    jLabel2.setText("Fllfarbe:");
    jLabel2.setFont(new Font("MS Sans Serif", Font.PLAIN, 13));
    cp.add(jLabel2);


    jButton6.setBounds(8, 184, 49, 33);
    jButton6.setText("|<");
    jButton6.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jButton6_ActionPerformed(evt);
      }
    });

    cp.add(jButton6);
    jButton7.setBounds(56, 184, 49, 33);
    jButton7.setText("<");
    jButton7.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jButton7_ActionPerformed(evt);
      }
    });
    cp.add(jButton7);
    jButton8.setBounds(104, 184, 49, 33);
    jButton8.setText(">");
    jButton8.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jButton8_ActionPerformed(evt);
      }
    });
    cp.add(jButton8);
    jButton9.setBounds(152, 184, 49, 33);
    jButton9.setText(">|");
    jButton9.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jButton9_ActionPerformed(evt);
      }
    });
    cp.add(jButton9);
    jButton10.setBounds(8, 224, 193, 33);
    jButton10.setText("Lschen");
    jButton10.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jButton10_ActionPerformed(evt);
      }
    });
    cp.add(jButton10);
    jButton11.setBounds(8, 264, 97, 33);
    jButton11.setText("Ebene +");
    jButton11.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jButton11_ActionPerformed(evt);
      }
    });
    cp.add(jButton11);
    jButton12.setBounds(104, 264, 97, 33);
    jButton12.setText("Ebene -");
    jButton12.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jButton12_ActionPerformed(evt);
      }
    });
    cp.add(jButton12);
    jButton13.setBounds(88, 328, 49, 49);
    jButton13.setText("^");
    jButton13.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jButton13_ActionPerformed(evt);
      }
    });
    cp.add(jButton13);
    jLabel3.setBounds(8, 304, 103, 16);
    jLabel3.setText("Verschieben:");
    jLabel3.setFont(new Font("MS Sans Serif", Font.PLAIN, 13));
    cp.add(jLabel3);
    jButton14.setBounds(40, 376, 49, 49);
    jButton14.setText("<");
    jButton14.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jButton14_ActionPerformed(evt);
      }
    });
    cp.add(jButton14);
    jButton15.setBounds(136, 376, 49, 49);
    jButton15.setText(">");
    jButton15.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jButton15_ActionPerformed(evt);
      }
    });
    cp.add(jButton15);
    jButton16.setBounds(88, 424, 49, 49);
    jButton16.setText("v");
    jButton16.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jButton16_ActionPerformed(evt);
      }
    });
    cp.add(jButton16);
    jButton17.setBounds(8, 480, 193, 25);
    jButton17.setText("Farbe bernehmen");
    jButton17.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jButton17_ActionPerformed(evt);
      }
    });
    cp.add(jButton17);
    // Ende Komponenten

    setResizable(false);
    setVisible(true);
    
    grafikliste.setZeichenflaeche(jPanelZeichenflaeche.getGraphics());
  }

  // Anfang Methoden
  public void paint(Graphics g) {
    super.paint(g);
    grafikliste.update();
  }
  
  public void gui_MouseActionPerformed(MouseEvent evt) {
    int x = evt.getX();
    int y = evt.getY();
    if (grafiktyp != NOTYPE) {
      Grafikobjekt g = null;
      punkte[klicks] = new Punkt(x,y);
      klicks++;
      Graphics zf = jPanelZeichenflaeche.getGraphics();
      zf.drawOval(x,y,3,3);

      switch (grafiktyp) {
        case QUADRAT:
          if (klicks == 2) {
            g = new Quadrat((punkte[1].getX()-punkte[0].getX()), jButtonFuellfarbe.getBackground(), jButtonLinienfarbe.getBackground(), punkte[0]);
          }
          break;
        case RECHTECK:
          if (klicks == 2) {
            g = new Rechteck((punkte[1].getY()-punkte[0].getY()),
                             (punkte[1].getX()-punkte[0].getX()), jButtonFuellfarbe.getBackground(), jButtonLinienfarbe.getBackground(), punkte[0]);
          }
          break;
        case KREIS:
          if (klicks == 2) {
            g = new Kreis(((int)Math.sqrt( (punkte[0].getX()-punkte[1].getX())*(punkte[0].getX()-punkte[1].getX())+(punkte[0].getY()-punkte[1].getY())*(punkte[0].getY()-punkte[1].getY())) ),
                          jButtonFuellfarbe.getBackground(), jButtonLinienfarbe.getBackground(), punkte[0]);
          }
          break;
        case ELLIPSE:
          if (klicks == 2) {
            g = new Ellipse(Math.abs(punkte[0].getY()-punkte[1].getY()),
                            Math.abs(punkte[0].getX()-punkte[1].getX()),
                            jButtonFuellfarbe.getBackground(), jButtonLinienfarbe.getBackground(), punkte[0]);
          }
          break;
        case STRECKE:
          if (klicks == 2) {
            g = new Strecke(punkte[1], jButtonLinienfarbe.getBackground(), punkte[0]);
          }
      }

      if (g != null) {
        grafikliste.einfuegen(g);
        repaint();
        klicks = 0;
      }
    }
  }

  
  
  public void jButton1_ActionPerformed(ActionEvent evt) {
    // TODO hier Quelltext einfgen
    grafiktyp = KREIS;
    klicks = 0;
  }

  public void jButton2_ActionPerformed(ActionEvent evt) {
    // TODO hier Quelltext einfgen
    grafiktyp = ELLIPSE;
    klicks = 0;
  }

  public void jButton3_ActionPerformed(ActionEvent evt) {
    // TODO hier Quelltext einfgen
    grafiktyp = QUADRAT;
    klicks = 0;
  }

  public void jButton4_ActionPerformed(ActionEvent evt) {
    // TODO hier Quelltext einfgen
    grafiktyp = RECHTECK;
    klicks = 0;
  }

  public void jButton5_ActionPerformed(ActionEvent evt) {
    // TODO hier Quelltext einfgen
    grafiktyp = STRECKE;
    klicks = 0;
  }
  
  public void jButtonLinienfarbe_ActionPerformed(ActionEvent evt) {
    Color c = JColorChooser.showDialog(this, "Whle Linienfarbe", jButtonLinienfarbe.getBackground());
    jButtonLinienfarbe.setBackground(c);
    repaint();
  }

  public void jButtonFuellfarbe_ActionPerformed(ActionEvent evt) {
    Color c = JColorChooser.showDialog(this, "Whle Fllfarbe", jButtonFuellfarbe.getBackground());
    jButtonFuellfarbe.setBackground(c);
    repaint();
  }


  public void jButton6_ActionPerformed(ActionEvent evt) {
    grafikliste.anfang();
    repaint();
  }

  public void jButton7_ActionPerformed(ActionEvent evt) {
    grafikliste.zurueck();
    repaint();
  }

  public void jButton8_ActionPerformed(ActionEvent evt) {
    grafikliste.vor();
    repaint();
  }

  public void jButton9_ActionPerformed(ActionEvent evt) {
    grafikliste.ende();
    repaint();
  }

  public void jButton10_ActionPerformed(ActionEvent evt) {
    grafikliste.loeschen();
    repaint();
  }

  public void jButton11_ActionPerformed(ActionEvent evt) {
    grafikliste.nachvorne();
    repaint();
  }

  public void jButton12_ActionPerformed(ActionEvent evt) {
    grafikliste.nachhinten();
    repaint();
  }

  public void jButton13_ActionPerformed(ActionEvent evt) {
    grafikliste.nachoben();
    repaint();
  }

  public void jButton14_ActionPerformed(ActionEvent evt) {
    grafikliste.nachlinks();
    repaint();
  }

  public void jButton15_ActionPerformed(ActionEvent evt) {
    grafikliste.nachrechts();
    repaint();
  }

  public void jButton16_ActionPerformed(ActionEvent evt) {
    grafikliste.nachunten();
    repaint();
  }

  public void jButton17_ActionPerformed(ActionEvent evt) {
    grafikliste.farbenaendern(jButtonLinienfarbe.getBackground(),jButtonFuellfarbe.getBackground());
    repaint();
  }

  // Ende Methoden

  public static void main(String[] args) {
    new GUI("GUI");
  }
}
