import java.awt.*;
import javax.swing.*;
/**
  *
  * Beschreibung
  *
  * @version 1.0 vom 17.11.2010
  * @author Daniel Garmann
  */

public abstract class Grafikobjekt {

  // Anfang Attribute
  private Color linienfarbe;
  private Punkt start;
  // Ende Attribute

  public Grafikobjekt(Color linienfarbe, Punkt start) {
    this.linienfarbe = linienfarbe;
    this.start = start;
  }

  // Anfang Methoden


  public Color getLinienfarbe() {
    return linienfarbe;
  }

  public void setLinienfarbe(Color linienfarbe) {
    this.linienfarbe = linienfarbe;
  }

  public Punkt getStart() {
    return start;
  }

  public void setStart(Punkt start) {
    this.start = start;
  }

  public abstract void zeichne(Graphics g);
  
  public abstract void markiere(Graphics g);

  public void verschiebe(int dx, int dy) {
    start.setX(start.getX()+dx);
    start.setY(start.getY()+dy);
  }

  // Ende Methoden
}
