import java.awt.*;
import javax.swing.*;
/**
  *
  * Beschreibung
  *
  * @version 1.0 vom 17.11.2010
  * @author Daniel Garmann
  */

public class Kreis extends Rundobjekt {

  // Anfang Attribute
  // Ende Attribute

  public Kreis(int radius, Color fuellfarbe, Color linienfarbe, Punkt start) {
    super(radius,fuellfarbe,linienfarbe,start);
  }

  // Anfang Methoden
  public void zeichne(Graphics g) {
    g.setColor(this.getFuellfarbe());
    g.fillOval(this.getStart().getX()-this.getRadius(),this.getStart().getY()-this.getRadius(),
               2*this.getRadius(),2*this.getRadius());
    g.setColor(this.getLinienfarbe());
    g.drawOval(this.getStart().getX()-this.getRadius(),this.getStart().getY()-this.getRadius(),
               2*this.getRadius(),2*this.getRadius());
  }

  public void markiere(Graphics g) {
    g.setColor(Color.black);
    g.fillRect(this.getStart().getX()-2,this.getStart().getY()-2,5,5);
    g.fillRect(this.getStart().getX()-this.getRadius()-2,this.getStart().getY()-2,5,5);
    g.fillRect(this.getStart().getX()+this.getRadius()-2,this.getStart().getY()-2,5,5);
    g.fillRect(this.getStart().getX()-2,this.getStart().getY()-this.getRadius()-2,5,5);
    g.fillRect(this.getStart().getX()-2,this.getStart().getY()+this.getRadius()-2,5,5);
  }

  // Ende Methoden
}
