import java.awt.*;
import javax.swing.*;
/**
  *
  * Beschreibung
  *
  * @version 1.0 vom 17.11.2010
  * @author Daniel Garmann
  */

public class Quadrat extends Eckenobjekt {

  // Anfang Attribute
  // Ende Attribute

  public Quadrat(int seitenlaenge, Color fuellfarbe, Color linienfarbe, Punkt start) {
    super(seitenlaenge,fuellfarbe,linienfarbe,start);
  }

  // Anfang Methoden
  public void zeichne(Graphics g) {
  
    int x1, y1, breite;

    if (this.getSeitenlaenge() < 0) {
      x1 = this.getStart().getX()+this.getSeitenlaenge();
      y1 = this.getStart().getY()+this.getSeitenlaenge();
      breite = -this.getSeitenlaenge();
    } else {
      x1 = this.getStart().getX();
      y1 = this.getStart().getY();
      breite = this.getSeitenlaenge();
    }

    g.setColor(this.getFuellfarbe());
    g.fillRect(x1, y1, breite, breite);
    g.setColor(this.getLinienfarbe());
    g.drawRect(x1, y1, breite, breite);

  }

  public void markiere(Graphics g) {
    int x1, y1, breite;

    if (this.getSeitenlaenge() < 0) {
      x1 = this.getStart().getX()+this.getSeitenlaenge();
      y1 = this.getStart().getY()+this.getSeitenlaenge();
      breite = -this.getSeitenlaenge();
    } else {
      x1 = this.getStart().getX();
      y1 = this.getStart().getY();
      breite = this.getSeitenlaenge();
    }

    g.setColor(Color.black);
    g.fillRect(x1-2,y1-2,5,5);
    g.fillRect(x1-2,y1+breite-2,5,5);
    g.fillRect(x1+breite-2,y1-2,5,5);
    g.fillRect(x1+breite-2,y1+breite-2,5,5);
  }
  // Ende Methoden
}
