import java.awt.*;
import javax.swing.*;
/**
  *
  * Beschreibung
  *
  * @version 1.0 vom 17.11.2010
  * @author Daniel Garmann
  */

public class Rechteck extends Eckenobjekt {

  // Anfang Attribute
  private int seitenlaenge2;
  // Ende Attribute

  public Rechteck(int seitenlaenge2, int seitenlaenge, Color fuellfarbe, Color linienfarbe, Punkt start) {
    super(seitenlaenge,fuellfarbe,linienfarbe,start);
    this.seitenlaenge2 = seitenlaenge2;
  }

  // Anfang Methoden
  public void zeichne(Graphics g) {
    int x1, y1, hoehe, breite;

    if (this.getSeitenlaenge() < 0) {
      x1 = this.getStart().getX()+this.getSeitenlaenge();
      breite = -this.getSeitenlaenge();
    } else {
      x1 = this.getStart().getX();
      breite = this.getSeitenlaenge();
    }

    if (this.getSeitenlaenge2() < 0) {
      y1 = this.getStart().getY()+this.getSeitenlaenge2();
      hoehe = -this.getSeitenlaenge2();
    } else {
      y1 = this.getStart().getY();
      hoehe = this.getSeitenlaenge2();
    }

    g.setColor(this.getFuellfarbe());
    g.fillRect(x1,y1,breite, hoehe);
    g.setColor(this.getLinienfarbe());
    g.drawRect(x1,y1,breite, hoehe);

  }

  public void markiere(Graphics g) {
    int x1, y1, hoehe, breite;

    if (this.getSeitenlaenge() < 0) {
      x1 = this.getStart().getX()+this.getSeitenlaenge();
      breite = -this.getSeitenlaenge();
    } else {
      x1 = this.getStart().getX();
      breite = this.getSeitenlaenge();
    }

    if (this.getSeitenlaenge2() < 0) {
      y1 = this.getStart().getY()+this.getSeitenlaenge2();
      hoehe = -this.getSeitenlaenge2();
    } else {
      y1 = this.getStart().getY();
      hoehe = this.getSeitenlaenge2();
    }


    g.setColor(Color.black);
    g.fillRect(x1-2,y1-2,5,5);
    g.fillRect(x1-2,y1+hoehe-2,5,5);
    g.fillRect(x1+breite-2,y1-2,5,5);
    g.fillRect(x1+breite-2,y1+hoehe-2,5,5);
  }

  public int getSeitenlaenge2() {
    return seitenlaenge2;
  }

  public void setSeitenlaenge2(int seitenlaenge2) {
    this.seitenlaenge2 = seitenlaenge2;
  }

  // Ende Methoden
}
